/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
/**
 * @file
 * @author Lukasz Kostyra (l.kostyra@samsung.com)
 * @brief  Libteec extension declaration
 */

#ifndef LIBTEEC_LIBTEEC_EXTENSION_H_
#define LIBTEEC_LIBTEEC_EXTENSION_H_

#include "common/extension.h"

class LibteecExtension : public common::Extension {
public:
    LibteecExtension();
    virtual ~LibteecExtension();

private:
    virtual common::Instance* CreateInstance();
};

#endif // LIBTEEC_LIBTEEC_EXTENSION_H_
